Create a portfolio Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/portfolios

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
  • subAccount_uuid string Required
application/json

Body

  • name string Required

    The name of the portfolio. Must be unique within the sub-account it is created on.

  • is_proposed boolean

    Denotes if the portfolio is proposed

  • proposed_at string(date)

    The proposed date of the portfolio. When omitted from the request the proposed date will be the date of creation.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • is_proposed boolean
    • proposed_at string
    • name string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/portfolios
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/portfolios' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Risky Portfolio","is_proposed":false,"proposed_at":"2023-09-25"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Risky Portfolio",
  "is_proposed": false,
  "proposed_at": "2023-09-25"
}
Response examples (201)
[
  {
    "uuid": "88e9ed25-e733-4537-b960-adc60f4adb78",
    "created_at": "2026-08-07T15:29:26+01:00",
    "updated_at": "2026-08-07T15:29:26+01:00",
    "is_proposed": true,
    "proposed_at": "2026-08-07T00:00:00+01:00",
    "name": "Risky Portfolio"
  }
]
Response examples (409)
{
  "message": "Plan is being deleted."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}